//by Emily Lea
//Checkbox component: pass in checkbox label as a prop
import React, { useState } from 'react';
import { View, Pressable, Text, Image } from 'react-native';

export default function Checkbox(props) {
    var statePassedIn;
    var initialState;
    if (props.hasOwnProperty("forwardRef")) {
        statePassedIn = props.forwardRef.current;
    }
    if (statePassedIn == true || statePassedIn == false) {
        initialState = statePassedIn;
    }
    else {
        initialState = false;
    }
    const [isChecked, setIsChecked] = useState(initialState);

    function setImageSource() {
        if (isChecked) {
            return (
                    <Image style={{ height: 38, width: 38, tintColor: '#3d8eff'}} source={require('./checkmark.png')}>
                    </Image>                
            )
        }
    }

    return (
        <View style={{ flexDirection: 'row', marginVertical: 10, marginHorizontal: 8, width: '90%'}}>
            <View style={{flex: 4}}>
                <Text style={{ fontSize: 20, fontWeight: 'bold', color: 'whitesmoke', height: 'auto', flex: 1 }}>{props.boxLabel}</Text>
            </View>
            <View style={{flex: 1.5, alignItems: 'flex-end'}}>
            <Pressable
                onPress={() => {
                    setIsChecked(!isChecked);
                    if (props.hasOwnProperty("forwardRef")) {
                        props.forwardRef.current = !isChecked;//this is the ref value that can be read in other pages
                    }
                }}
                style={{
                    backgroundColor: '#E5E5E5',
                    height: 40,
                    width: 40,
                    // marginLeft: 20,
                    // paddingBottom: 10,
                    borderRadius: 5,
                    borderWidth: 1,
                    borderColor: 'black'
                }}
            >
                {setImageSource()}
            </Pressable>
            </View>
        </View>
    );
}