import React from 'react';
import { View, Text, Pressable } from 'react-native';
import Styles from '../../shared/styles/Styles';

export default function StyledButton(props) {
  const { content, onPress, btn_width, btn_align, btn_color, text_color } = props;

  return (
    <View style={{width: "75%", alignItems: btn_align}}>
      <View style={{width: btn_width, alignItems: btn_align}}>
          <Pressable
              style={[Styles.styled_button, {backgroundColor: btn_color}]}
              onPress={() => onPress() }
          >
              <Text style={[Styles.button_text, {color: text_color}]}>{content}</Text>

          </Pressable>
      </View>
    </View>
  );
}
