//by Emily Lea
//allows a user to take or upload an image

import React, { useState, useEffect } from 'react';
import { View, Pressable, Text, Image } from 'react-native';
import * as ExpoImagePicker from 'expo-image-picker';

export default function UploadImage(props) {
    const [initialImage, setInitialImage] = useState(null);
    const [uploadedImage, setUploadedImage] = useState(null);

    useEffect(() => {
        setInitialImage(props.image);
        if (initialImage != null && uploadedImage == null) {
            setUploadedImage(initialImage);
        }
        props.forwardRef.current = uploadedImage;
    });

    //upload the image
    const getImage = async () => {
        let image = await ExpoImagePicker.launchImageLibraryAsync({
            mediaTypes: ExpoImagePicker.MediaTypeOptions.Images,
            quality: 1
        });
        //set the selected image when one is selected
        if (!image.cancelled) {
            setUploadedImage(image.uri);
            //props.forwardRef.current = image.uri;//sets the ref value
        }
    }

    return (
        <View>
            <Pressable
                onPress={() => {
                    getImage();
                }}
                style={{
                    backgroundColor: '#b0c9ff',
                    height: 175,
                    width: 175,
                    borderRadius: 100,
                    // borderWidth: 2,
                    borderColor: '#b0c0ff',
                    marginBottom: 20,
                    justifyContent: 'space-around',
                }}
            >
                <Image style={{ height: '100%', width: '100%', borderRadius: 100 }} source={{ uri: uploadedImage}}/>
            </Pressable>
        </View>
    );
}