import {React } from 'react';
import { Text, View, ScrollView, TouchableOpacity, StatusBar } from 'react-native';
import Styles from '../shared/styles/Styles';
import { Ionicons } from '@expo/vector-icons';

export default function AboutUs(props) {
    return (
        <View style={Styles.general}>
            <ScrollView style={{ width: '85%', marginTop: 40 }} showsVerticalScrollIndicator={false}>
                <StatusBar
                    backgroundColor='#F2F2F7'
                    barStyle='dark-content'>
                </StatusBar>
                <TouchableOpacity onPress={() => props.navProp.goBack()} style={{width: '25%', marginVertical: 20}}>
                    <Ionicons name="arrow-back" size={32} />
                </TouchableOpacity>
                <View>
                    <Text style={Styles.GeneralHeaderText}>About Us</Text>
                    <Text style={{fontSize: 16, lineHeight: 24 }}>Among the growing population of older adults there is a lack of reliable, 
                    familiar transportation services to get them to the grocery store, medical appointments, etc. in order to
                    meet their primary needs and even for non-essential tasks such as recreational activities or meeting with 
                    friends and family. This could lead these older adults to seek unfamiliar and confusing transportation services. </Text>
                    <Text style={{fontSize: 16, marginTop: 24, lineHeight: 24}}>The main objective of this application is to provide a toolkit that will assist 
                    the elderly in locating appropriate, safe, and reliable transportation services in the area, as well as providing a way for users to request 
                    a ride if a personal driver is available.</Text>
                    <Text style={{fontSize: 16, marginTop: 44}}>MAGIC Team</Text>
                </View>
            </ScrollView>
        </View>
    );
}