// The passenger should navigate to this page when they click on 
// the friend request notification. When on the home page, they should 
// navigate to this page by going to the side menu.

import React, { Component, useState } from 'react';
import {Text, View, Image, ScrollView, TouchableOpacity, FlatList, Alert} from 'react-native';
//import { useEffect } from 'react/cjs/react.production.min';
import Styles from '../shared/styles/Styles';

export default function FriendRequests(props) {
    const [allFriendRequests, setAllFriendRequests] = useState([]);

    let passPhone = '';
    let driverPhone = '';
    let relationship = '';
    let id = 0;
    let thisUserPhone = '4791112233';

    // Fetching friend request data from the API
    let specifications = {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json;charset=utf-8'
        }
    }
    fetch('https://magicdjangoapp.herokuapp.com/friends/', specifications)
    .then(response => response.json())
    .then(jsonResponse => {
        let allRelationships = [];
        jsonResponse.forEach(object => {
            Object.entries(object).forEach(([key, value]) => {
                if (key === 'passenger_phone' && value === thisUserPhone){
                    if (key === 'passenger_phone'){
                        passPhone = value;
                    }
                    if (key === 'driver_phone'){
                        driverPhone = value;
                    }
                    id = id + 1; //generate a unique ID for every passenger-driver relationship
                    relationship = passPhone + ' friends with ' + driverPhone; //what will show up on each item
                    let currentRelationship = {relationship, id}; //pairing the relationship with an ID
                    allRelationships = [...allRelationships.filter(users => users.id != id), currentRelationship]; //adding new passenger-driver relationships
                }
                
            });
        });
        setAllFriendRequests(allRelationships);
    })
    .catch(error => console.log(error));

    return (
        <View style={Styles.container}>
            <FlatList 
                keyExtractor={(item) => item.id}
                data={allFriendRequests}
                renderItem={({item}) => (
                    <TouchableOpacity style={Styles.friendSelectionListItem}>
                        <Text style={Styles.GeneralText}>{item.relationship}</Text>
                    </TouchableOpacity>
                    
                )}
            />
        </View>
    );


}
