// The passenger should navigate to this page when they click on 
// the friend request notification. When on the home page, they should 
// navigate to this page by going to the side menu.

import React, { useState } from 'react';
import { Text, View, TouchableOpacity, FlatList } from 'react-native';
//import { useEffect } from 'react/cjs/react.production.min';
import Styles from '../shared/styles/Styles';


export default function FriendsList(props) {
    const [allFriends, setAllFriends] = useState([]);

    let firstName = '';
    let lastName = '';
    let Name = '';
    let id = 0;
    let thisUserPhone = '4791112233';

    // Fetching friend request data from the API
    let specifications = {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=utf-8'
        },
        body: JSON.stringify({"passenger_phone": thisUserPhone})
    }
    fetch('https://magicdjangoapp.herokuapp.com/friends/friends_list/', specifications)
    .then(response => response.json())
    .then(jsonResponse => {
        let allDrivers = [];
        jsonResponse.forEach(object => {
            Object.entries(object).forEach(([key, value]) => {
                if (key === 'first_name'){
                    firstName = value;
                    firstName = firstName.trim();
                }
                if (key === 'last_name'){
                    lastName = value;
                    lastName = lastName.trim();
                }
                if (key === 'phone'){
                    id = value;
                }
                Name = firstName + ' ' + lastName;
                let currentDriver = {Name, id};
                allDrivers = [...allDrivers.filter(driver => driver.id != id), currentDriver];
            
            });
        });
        setAllFriends(allDrivers);
    })
    .catch(error => console.log(error));

    return (
        <View style={Styles.container}>
            <FlatList 
                keyExtractor={(item) => item.id}
                data={allFriends}
                renderItem={({item}) => (
                    <TouchableOpacity style={Styles.friendSelectionListItem}>
                        <Text style={Styles.GeneralText}>{item.Name}</Text>
                    </TouchableOpacity>
                )}
            />
        </View>
    );


}
