import { Text, View, TextInput, Pressable, TouchableOpacity} from 'react-native';
import React, { useState } from 'react';
import Styles from '../shared/styles/Styles';

export default function Rating(props) {
    let phoneNumber = props.userProp;
    const [rating, setRating] = useState('');

    const handleSubmit = (driverPhone, driverRating) => {
        let specifications = {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json;charset=utf-8'
            },
            body: JSON.stringify({ "phone": driverPhone, "rating": driverRating })
        }
        fetch("https://magicdjangoapp.herokuapp.com/ratings/set_rating/", specifications)
            .then(response => response.json())
            .then(jsonResponse => { console.log(jsonResponse) })
            .catch(error => console.log(error))
    }
    return (//pass in phone number as a prop
        <View style={Styles.general}>
            <Text style={{ fontSize: 20, fontWeight: 'bold', marginBottom: 20 }}>Rate your driver (from 1 to 5)</Text>
            <TextInput
                style={Styles.TextInputs}
                placeholder='Enter rating here'
                placeholderTextColor='#8ba2c4'
                onChangeText={(text) => setRating(text)}
            >
            </TextInput>
            <TouchableOpacity style={Styles.SubmitRatingButton} onPress={() => handleSubmit(phoneNumber, rating)}>
                <Text style={Styles.NextButtonText}>Submit Rating</Text>
            </TouchableOpacity>
        </View>
    );
}
