//these are shared styles that can be used in multiple components of the project
import { StyleSheet } from 'react-native';

const backgroundColorGeneral = '#F2F2F7';
const strongPurpleColor = '#3d8eff';
const lightStrongPurple = '#5e7eff';
const bluePrimaryColor = '#4c7fd9';
const redPinkAlertColor = '#7f82e3';
const lightGreenSecondaryColor = '#25c29d';
const cyanSecondaryColor = '#24b7e0';
const buttonLightPurple = '#8585ff';
const buttonMediumPurple = '#7a7aff';
const buttonDarkNavyBlue = '#3267c2';
const buttonAccentBlue = '#4797ff';
const backgroundColorLightBlue = '#6b9aff';
const backgroundColorGeneralShade = '#a1b6f7';


export default StyleSheet.create({
    general: {
        backgroundColor: backgroundColorGeneral,
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',
        overflow: 'scroll'
    },
    container: {
        flex: 1,
        backgroundColor: backgroundColorGeneral,
    },
    TextInputs: {//by Emily
        backgroundColor: '#dfe4ed', 
        color: '#000000',
        fontSize: 20,
        width: 'auto',
        padding: 10,
        borderRadius: 4,
        // borderWidth: 2,
        marginBottom: 20
    },
    TextInputsColor: {
        color: 'red'
    },
    GeneralText: {
        fontSize: 16,
        marginBottom: 15,
    },
    LargeGeneralText: {
        fontSize: 18,
        marginBottom: 15,
        color: 'grey',
    },
    GeneralHeaderText: {
        fontWeight: '700',
        fontSize: 24,
        marginVertical: 35,
    },
    loginWrapper: {
        flex: 1,
        alignContent: 'center',
        alignItems: 'center',
        justifyContent: 'flex-start',
        paddingTop: 20,
        backgroundColor: backgroundColorGeneral
    },
    loginContainer: {
        flex: 1,
        alignContent: 'center',
        justifyContent: 'center',
        alignItems: 'center',
        width: '100%',
        height: 'auto',
    },
    homeWrapper: {
        flex: 1,
        alignContent: 'center',
        alignItems: 'center',
        justifyContent: 'flex-start',
        paddingTop: 20,
    },
    homeContainer: {
        flex: 1,
        alignContent: 'center',
        justifyContent: 'flex-start',
        alignItems: 'center',
        width: '100%',
        height: 'auto',
    },

    tripPlannerContainer: {
        flex: 5,
        width: '100%',
        alignContent: 'center',
        justifyContent: 'center',
        alignItems: 'center',
    },

    filterButtonText: {
        flexWrap: 'wrap',
        textAlign: 'center',
        fontWeight: 'bold',
        fontSize: 16
    },

    filterButtonView: {
        flexDirection: 'row',
        flex: 0.75,
        width: '95%',
        // paddingHorizontal: 10,
        justifyContent: 'center',
        // marginHorizontal: 10,
        // marginTop: 15,
        // borderRadius: 10,
        // borderWidth: 2, 
        // borderColor: 'black',
        // backgroundColor: backgroundColorGeneralShade,
        // marginBottom: 20,
    },

    driverSelectionTextView: {
        flex: 0.5,
        marginBottom: 12,
        width: '95%',
        borderRadius: 12,
        // borderWidth: 2,
        // borderColor: 'black',
        // backgroundColor: backgroundColorLightBlue,
        justifyContent: 'center'
    },

    driverFilterButton: {
        flex: 1,
        // marginVertical: 12,
        marginHorizontal: 2,
        alignItems: 'center',
        justifyContent: 'center',
        borderRadius: 8,
        paddingHorizontal: 3,
        paddingVertical: 4,
        borderColor: 'black',
        height: 'auto',
        alignContent: 'center',
    },

    bottomBtnContainer: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignContent: 'center',
        alignItems: 'center',
        backgroundColor: 'white',
        // borderWidth: 1,
    },
    submitBtnContainer: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'center',
        alignContent: 'center',
        alignItems: 'center',
        marginBottom: 16,
    },

    submitBtnWrapper: {
        justifyContent: 'center',
        alignItems: 'center',
        alignContent: 'center',
        marginVertical: 10,
    },
    backWithHelpWrapper: {
        flex: 1,
        borderRadius: 16,
        paddingVertical: 6,
        // paddingHorizontal: 24,
        marginTop: 10,
        backgroundColor: 'pink'
    },
    helpWithBackWrapper: {
        flex: 1,
    },

    submitRequestBtn: {
        paddingVertical: 12,
        width: '94%',
        backgroundColor: lightGreenSecondaryColor,
        flexDirection: 'row',
        flexWrap: 'wrap',
        justifyContent: 'center',
        alignItems: 'center',
        alignContent: 'center',
        borderRadius: 16,
    },
    submitFriendRequestBtn: {
        backgroundColor: buttonAccentBlue,
        marginVertical: 4,
        borderRadius: 12,
        padding: 8,
    },
    helpBtnWrapper: {
        position: 'relative',
        marginBottom: 15,
        justifyContent: 'flex-end',
        alignContent: 'flex-end',
        alignItems: 'flex-end'
    },

    helpIcon: {
        width: 28,
        height: 28,
        // tintColor: 'pink'
        // alignSelf: 'flex-end',
        // justifyContent: 'flex-end'
    },
    backIcon: {
        width: 'auto',
        height: 'auto',
        marginLeft: 10,
        alignSelf: 'flex-end',
        justifyContent: 'flex-end',
    },
    submitIcon: {
        width: 'auto',
        height: 'auto',
        marginLeft: 10,
        // marginTop: 7,
        alignSelf: 'flex-end',
        justifyContent: 'flex-end'
    },

    backButton: {
        width: '94%',
        paddingVertical: 12,
        backgroundColor: '#739fff',
        flexDirection: 'row',
        flexWrap: 'wrap',
        justifyContent: 'center',
        alignItems: 'center',
        alignContent: 'center',
        borderRadius: 16,
    },

    helpButton: {
        position: 'relative',
        paddingVertical: 12,
        paddingHorizontal: 24,
        marginTop: 10,
        backgroundColor: redPinkAlertColor,
        flexDirection: 'row',
        justifyContent: 'center',
        flexWrap: 'wrap',
        alignItems: 'center',
        // borderColor: '#000',
        borderRadius: 16,
        // borderWidth: 2
    },

    // -- Not used for now -- //
    // friendFamilyCheckbox: {
    //     flexDirection: 'row',
    //     flex: 0.85,
    //     width: '95%',
    //     paddingLeft: 10,
    //     paddingRight: 10,
    //     justifyContent: 'space-between',
    //     marginLeft: 10,
    //     marginRight: 10,
    //     marginTop: 20,
    //     borderRadius: 10,
    //     borderWidth: 2, 
    //     borderColor: 'black',
    //     backgroundColor: '#A8B5E4',
    // },

    friendRequestTextInput: { 
        width: '100%', 
        borderColor: 'black', 
        borderRadius: 4, 
        borderWidth: 0.5, 
        fontSize: 20, 
        padding: 5, 
        paddingLeft: 10,
    },

    friendRequestModalView: {
        backgroundColor: "#ffffff",
        marginHorizontal: 20, 
        paddingHorizontal: 15,
        paddingVertical: 15,
        borderRadius: 15, 
        flex: 0.85,
    },

    friendRequestModalTitle: {
        fontSize: 25, 
        fontWeight: 'bold',
        marginBottom: 10, 
        alignSelf: 'center' 
    },
    
    friendRequestPassengerView: {
        flex: 2,
        width: '100%',
        height: 'auto',
        borderRadius: 10,
        marginBottom: 13,
        marginTop: 5,
        backgroundColor: 'white', 
    },
    driverListView: {
        flex: 3.5,
        width: '95%',
        marginLeft: 10,
        marginRight: 10,
        // marginBottom: 10,
        borderRadius: 10,
        // backgroundColor: '#A8B5E4',
    },
    driverListItem: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        alignContent: 'flex-start',
        paddingHorizontal: 20,
        height: 'auto',
        paddingVertical: 8,
        borderWidth: 0.5,
        // borderRadius: 10,
        borderColor: '#afc4f0',
    },  
    friendSelectionListItem: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        paddingVertical: 5,
        borderWidth: 0.5,
        // borderRadius: 10,
        borderColor: '#afc4f0'
    },  
    friendLookupContainer: {
        flexDirection: 'row',
        alignItems: 'center'
    },
    friendSelectionImageContainer: {
        paddingRight: 25,
        paddingLeft: 10,
    },
    friendSelectionInfoContainer: {
        flexDirection: 'column'
    },

    driverListTitle: {
        fontSize: 15,
        fontWeight: 'bold',
    },

    SigninButton: {
        backgroundColor: buttonAccentBlue,
        borderRadius: 8,
        // borderWidth: 2,
        // borderColor: 'black',
        width: '45%',
        height: 'auto',
        padding: 8,
        justifyContent: 'center',
        alignItems: 'center'
    },
    SigninButtonText: {
        color: 'whitesmoke',
        fontSize: 25
    },

    NextButton: {
        //---Patrick's additions---
        left: '10%',
        //-------------------------
        backgroundColor: '#8EC2FF',
        height: 50,
        borderRadius: 10,
        // borderWidth: 2,
        borderColor: 'black',
        marginBottom: 10,
        width: '100%',
        alignItems: 'center',
        justifyContent: 'center',
        marginLeft: 20
    },

    NextButtonContainer: {
        width: '100%',
        alignItems: 'flex-start',
        justifyContent: 'space-between',

    },

    WheelChairAccessibleBox: {
        flexDirection: 'row', 
        justifyContent: 'space-between', 
        width: '100%', 
        borderRadius: 10, 
        //borderWidth: 2, 
        borderColor: 'black',
        backgroundColor: strongPurpleColor,
    },

    DriverButton: {
        backgroundColor: strongPurpleColor,
        width: '85%',
        height: 'auto',
        paddingVertical: 14,
        borderRadius: 12,
        alignItems: 'center',
        justifyContent: 'center',
        marginBottom: 20
    },
    PassengerButton: {
        backgroundColor: buttonMediumPurple,
        width: '85%',
        height: 'auto',
        paddingVertical: 14,
        borderRadius: 12,
        alignItems: 'center',
        justifyContent: 'center',
        marginBottom: 20
    },
    ButtonText: {
        fontSize: 25,
        color: 'white',
    },
    NextButtonPressable: {
        backgroundColor: buttonAccentBlue,
        height: 50,
        borderRadius: 10,
        // borderWidth: 2,
        // borderColor: 'black',
        marginBottom: 10,
        marginTop: 20,
        width: '100%',
        alignItems: 'center',
        justifyContent: 'center',
    },
    SubmitRatingButton: {
        backgroundColor: bluePrimaryColor,
        height: 50,
        borderRadius: 10,
        // borderWidth: 2,
        // borderColor: 'black',
        marginBottom: 10,
        marginTop: 20,
        width: '80%',
        alignItems: 'center',
        justifyContent: 'center',
    },
    NextButtonText: {//by Emily
        color: 'whitesmoke',
        fontSize: 25
    },
    helpModal: {
        alignItems: 'center',
        width: '100%'
    },
    styled_button: {
        width: "100%",
        margin: 12,
        borderRadius: 8,
        height: 50,
        alignItems: 'center',
        justifyContent: 'center',
        marginLeft: 'auto',
        marginRight: 'auto'
    },
    button_text: {
        color: 'black',
        fontSize: 18,
        fontWeight: '500'
    },
    centeredView: {
        flex: 1,
        justifyContent: "center",
        backgroundColor: '#000000aa'
    },
    modalView: { 
        flex: 1,
        marginVertical: 60,
        marginHorizontal: 20,
        paddingVertical: 15,
        paddingHorizontal: 32,
        backgroundColor: "white",
        borderRadius: 10,
        alignItems: "center"
    },
    topModalTextCluster: {
        flex: 1,
        justifyContent: 'center',
        height: 'auto',
    },
    middleModalTextCluster: {
        flex: 1,
        justifyContent: 'center',
        height: 'auto',
        width: '100%',
    },
    modalText: {
        fontSize: 18,
        fontWeight: '500',
        textAlign: "center",
        marginBottom: 10,
    },
    seperatorText: {
        fontSize: 18,
        fontWeight: '500',
        textAlign: "center",
        marginBottom: 5,
    },
    button: {
        flex: 1,
        borderRadius: 10,
        width: "100%",
        justifyContent: 'center',
        marginVertical: 6,
    },
    modalTopCluster: {
        flex: 5,
        position: 'relative',
        width: '100%',
    },
    modalTopClusterTopTextInput: {
        flex: 1,
        paddingBottom: 8
    },
    modalTopClusterBottomTextInput: {
        flex: 5
    },
    buttonBottomCluster: {
        flex: 2,
        position: "relative",
        width: "100%",
    },
    buttonClose: {
        flex: 1,
        backgroundColor: 'grey',
        width: "100%",
        justifyContent: "center"
    },
    textStyle: {
        fontSize: 16,
        color: 'white',
        fontWeight: "bold",
        textAlign: "center"
    },
    modalSingleline: {
        height: '100%',
        borderColor: '#cfd3d4',
        borderWidth: 1,
        borderRadius: 5,
        paddingLeft: 12,
        fontSize: 16,
        color: '#38436e'
    },
    modalMultiline: {
        height: '100%',
        borderColor: '#cfd3d4',
        borderWidth: 1,
        borderRadius: 5,
        paddingLeft: 12,
        paddingTop: 12,
        fontSize: 16,
        color: '#38436e'
    },
    houseIcon: {
        width: 40,
        height: 40,
        marginLeft: 10,
        marginRight: 10,
        marginBottom: 3,
        resizeMode: 'stretch',
        justifyContent: 'flex-end',
        alignSelf: 'flex-end'
    },
    carIcon: {
        marginLeft: 10,
        marginRight: 10,
        justifyContent: 'center'
    },
    resourceIcon: {
        width: 55,
        height: 55,
        marginLeft: 10,
        marginRight: 10,
        resizeMode: 'stretch',
        justifyContent: 'flex-end'
    },
    driverHomeIcon: {
        width: 40,
        height: 40,
        marginLeft: 10,
        marginRight: 10,
        justifyContent: 'flex-end',
        alignSelf: 'flex-end'
    },
    menuIcon: {
       position: 'absolute',
       left: 16,
    },

    driverHomeBtnContainer: {
        position: 'relative',
        alignItems: 'center',
        justifyContent: 'center',
        alignContent: 'center',
        flex: 4,
      },
    passengerHomeBtnContainer: {
        position: 'relative',
        width: '100%',
        alignItems: 'center',
        justifyContent: 'center',
        alignContent: 'center',
        flex: 4,
    },
    passengerHomeBtn1: {
        backgroundColor: bluePrimaryColor,
    },
    passengerHomeBtn2: {
        backgroundColor: lightGreenSecondaryColor,
    },
    passengerHomeBtn3: {
        backgroundColor: cyanSecondaryColor,
    },
    passengerHomeBtnGeneral: {
        position: 'relative',
        width: '100%',
        height: 70,
        paddingVertical: 15,
        paddingHorizontal: 15,
        marginTop: 40,
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        alignContent: 'center',
        borderRadius: 16,
    },
    driverHomeBtn: {
        position: 'relative',
        width: '100%',
        height: 70,
        paddingVertical: 15,
        paddingHorizontal: 15,
        marginTop: 30,
        // backgroundColor: '#A8B5E4',
        flexDirection: 'row',
        justifyContent: 'space-between',
        // flexWrap: 'wrap',
        alignItems: 'center',
        // borderColor: 'black',
        borderRadius: 16,
        // borderWidth: 2
    },
      
    helpButtonText: {
        color: 'white',
        fontWeight: 'bold',
        // textTransform: 'uppercase',
        fontSize: 20,
        // textAlign: 'center',
        // marginLeft: 5
        marginRight: 8,
        // paddingVertical: 12,
    },
    buttonText: {
        color: 'whitesmoke',
        fontWeight: 'bold',
        // textTransform: 'uppercase',
        fontSize: 20,
        textAlign: 'center',
        marginLeft: 10
    },
    weekDayContainer: {
        backgroundColor: '#edf7ff',
        margin: 12,
        width: '93%',
        paddingVertical: 10,
        paddingHorizontal: 18,
        borderRadius: 8,
    },
    weekDayContainerQuadrant: {
        flexDirection: 'row',
        paddingVertical: 4,
        // marginBottom: 4,
        justifyContent: 'flex-start',
        // backgroundColor: 'pink'
    },
    weekDayContainerQuadrantHalf: {
        flex: 2,
        justifyContent: 'center',
    },
    header: {
        height: 'auto',
        width: '100%',
        paddingHorizontal: 28,
        paddingVertical: 12,
        // backgroundColor: '#203275',
        backgroundColor: backgroundColorGeneral,
        flexDirection: 'row',
        alignContent: 'center',
        justifyContent: 'space-between',
        alignItems: 'center',
    },
    headerModal: {
        flex: 1, 
        // backgroundColor: "#15214f", 
        // backgroundColor: '#ebefff',
        backgroundColor: '#fcfdff',
        width: '60%', 
        paddingTop: 60, 
        alignItems: "center", 
        justifyContent: 'flex-start', 
        shadowColor: "#000", 
        shadowOffset: { width: 0, height: 2 }, 
        shadowOpacity: 0.25, 
        shadowRadius: 12,
        borderTopRightRadius: 32,
        borderBottomRightRadius: 32
    },
    headerModalButtons: {
        flex: 1,
        width: '100%',
        borderTopWidth: 1,
        borderColor: '#dfe3f2', 
    },
    headerModalButtonsText: {
        // color: 'whitesmoke', 
        color: '#162440',
        fontSize: 18, 
        fontWeight: '700', 
        marginLeft: 20
    },
    menuIcon: {
        tintColor: 'whitesmoke',
        width: 35,
        height: 35,
        marginLeft: 15,
    },
    icon: {
        width: 40,
        height: 40,
        marginLeft: 15,
    },
    accountIcon: {
        tintColor: 'whitesmoke',
        width: 35,
        height: 35,
        marginRight: 15,
    },
    title: {
        color: 'black',
        fontSize: 28,
        fontWeight: 'bold',
        alignSelf: 'center',
    },
    HelpCallButton: {
        width: '100%',
        height: 'auto',
        paddingHorizontal: 15,
        paddingVertical: 10,
        marginVertical: 10,
        backgroundColor: buttonLightPurple,
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        alignContent: 'center',
        borderColor: 'black',
        borderRadius: 12,
    },
    ResourceButton: {
        width: '95%',
        height: 'auto',
        paddingHorizontal: 15,
        paddingVertical: 10,
        marginTop: 5,
        marginBottom: 15,
        backgroundColor: buttonLightPurple,
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        alignContent: 'center',
        borderColor: 'black',
        borderRadius: 12,
        // borderWidth: 2
    },
    resourceTopCluster: {
        flex: 4, 
        width: '100%', 
        alignItems: 'center'
    },
    resourceBottomCluster: {
        flex: 1,
    },
    PhoneIcon: {
        width: 32,
        height: 32,
        marginLeft: 10,
        marginRight: 10,
        marginBottom: 1,
        resizeMode: 'stretch',
        justifyContent: 'flex-end',
        alignSelf: 'flex-end',
        tintColor: 'whitesmoke'
    },
    editTimeButton: {
        backgroundColor: bluePrimaryColor,
        color: bluePrimaryColor,
        paddingVertical: 4,
        paddingHorizontal: 8,
        borderRadius: 2,
        textAlign: 'center'
    },
    scheduleAvailabilityOverviewTimes: {
        width: "92.75%", 
        alignItems: 'flex-start',
        // marginVertical: 8,
        backgroundColor: '#ffffff',
        borderBottomLeftRadius: 8,
        borderBottomRightRadius: 8,
        padding: 16,
        // borderRadius: 12,
    },
    scheduleAvailabilityOverviewTimesDayNames: {
        fontWeight: '600',
        fontSize: 16,
        color: lightStrongPurple,
        flex: 1.45,
    },
    scheduleAvailabilityOverviewTimesDayTimes: {
        textAlign: 'right',
        fontSize: 16,
        color: lightStrongPurple,
        flex: 3,
    },
    scheduleAvailabilityOverviewRows: {
        flexDirection: 'row', 
        borderBottomColor: '#f0f8ff', 
        borderBottomWidth: 1,
        paddingBottom: 4,
        marginBottom: 4,
    }
});